package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 巡检结果采集对象 t_inspection_result
 *
 * @author zehong
 * @date 2026-03-14
 */
public class TInspectionResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 所属企业id */
    private String enterpriseId;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /** 巡检月份 */
    @Excel(name = "巡检月份")
    private String inspectionMonth;

    /** 名称 */
    @Excel(name = "名称")
    private String inspectionName;

    /** 巡检类型(1,管道;2,设备设施) */
    @Excel(name = "巡检类型(1,管道;2,设备设施)")
    private String inspectionType;

    /** 应巡数量 */
    @Excel(name = "应巡数量")
    private String shouldInspectionNum;

    /** 已巡数量 */
    @Excel(name = "已巡数量")
    private String completeInspectionNum;

    /** 异常数量 */
    @Excel(name = "异常数量")
    private String anomalyNum;

    /** 已整改数量 */
    @Excel(name = "已整改数量")
    private String rectifyNum;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setEnterpriseId(String enterpriseId)
    {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseId()
    {
        return enterpriseId;
    }
    public void setEnterpriseName(String enterpriseName)
    {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName()
    {
        return enterpriseName;
    }
    public void setInspectionMonth(String inspectionMonth)
    {
        this.inspectionMonth = inspectionMonth;
    }

    public String getInspectionMonth()
    {
        return inspectionMonth;
    }
    public void setInspectionName(String inspectionName)
    {
        this.inspectionName = inspectionName;
    }

    public String getInspectionName()
    {
        return inspectionName;
    }
    public void setInspectionType(String inspectionType)
    {
        this.inspectionType = inspectionType;
    }

    public String getInspectionType()
    {
        return inspectionType;
    }
    public void setShouldInspectionNum(String shouldInspectionNum)
    {
        this.shouldInspectionNum = shouldInspectionNum;
    }

    public String getShouldInspectionNum()
    {
        return shouldInspectionNum;
    }
    public void setCompleteInspectionNum(String completeInspectionNum)
    {
        this.completeInspectionNum = completeInspectionNum;
    }

    public String getCompleteInspectionNum()
    {
        return completeInspectionNum;
    }
    public void setAnomalyNum(String anomalyNum)
    {
        this.anomalyNum = anomalyNum;
    }

    public String getAnomalyNum()
    {
        return anomalyNum;
    }
    public void setRectifyNum(String rectifyNum)
    {
        this.rectifyNum = rectifyNum;
    }

    public String getRectifyNum()
    {
        return rectifyNum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("enterpriseId", getEnterpriseId())
                .append("enterpriseName", getEnterpriseName())
                .append("inspectionMonth", getInspectionMonth())
                .append("inspectionName", getInspectionName())
                .append("inspectionType", getInspectionType())
                .append("shouldInspectionNum", getShouldInspectionNum())
                .append("completeInspectionNum", getCompleteInspectionNum())
                .append("anomalyNum", getAnomalyNum())
                .append("rectifyNum", getRectifyNum())
                .append("createTime", getCreateTime())
                .toString();
    }
}